🔗 REST APIOHLCV

Latest data

Get OHLCV latest timeseries data returned in time descending order. Data can be requested by the period and for the specific symbol eg BITSTAMP_SPOT_BTC_USD, if you need to query timeseries by asset pairs eg. BTC/USD, then please reffer to the Exchange Rates Timeseries data

OHLCV Latest endpoint is just the shortcut to the OHLCV Historical endpoint with substituted time_start and time_end parameters. The OHLCV Historical endpoint data can be delayed a few seconds. Use OHLCV real-time data stream to get data without delay.

GET
/v1/ohlcv/{symbol_id}/latest
Authorization<token>

API Key is required to access the endpoints

In: header

Path Parameters

symbol_id*string

Symbol identifier of requested timeseries (from the Metadata -> Symbols)

Query Parameters

period_id*string

Identifier of requested timeseries period (e.g. 5SEC or 2MTH)

limit?integer

Amount of items to return (mininum is 1, maximum is 100000, default value is 100, if the parameter is used then every 100 output items are counted as one request)

Formatint32
Default100

Response Body

curl -X GET "https://example.com/v1/ohlcv/string/latest?period_id=string"
[  {    "time_period_start": "2017-08-09T14:31:00.0000000Z",    "time_period_end": "2017-08-09T14:32:00.0000000Z",    "time_open": "2017-08-09T14:31:01.0000000Z",    "time_close": "2017-08-09T14:31:46.0000000Z",    "price_open": 3255.59,    "price_high": 3255.59,    "price_low": 3244.74,    "price_close": 3244.74,    "volume_traded": 16.90327455,    "trades_count": 31  },  {    "time_period_start": "2017-08-09T14:30:00.0000000Z",    "time_period_end": "2017-08-09T14:31:00.0000000Z",    "time_open": "2017-08-09T14:30:05.0000000Z",    "time_close": "2017-08-09T14:30:35.0000000Z",    "price_open": 3256,    "price_high": 3256.01,    "price_low": 3247,    "price_close": 3255.6,    "volume_traded": 58.13139792,    "trades_count": 33  }]